| Home · All Classes · All Namespaces · Modules · Functions · Files

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Properties

- a
- b
- c
- d
- e
- f
- g
- h
- i
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v
- w

### - a -

- actor : LocalPendingInfo
- address : SocketAddressIP , SocketAddressIPv6 , SocketNetmaskIPv4 , SocketNetmaskIPv6 , SocketAddressIPv4
- alias : AliasPair
- allowedProperties : RequestableChannelClass
- avatarData : Avatar

### - b -

- baseInterface : ConnectionManager , Connection

### - c -

- canHaveMessage : SimpleStatusSpec
- capabilities : HandlerCapabilities
- caps : Connection
- channel : ChannelDetails , ChannelInfo
- channelClasses : HandlerCapabilities
- channelType : CapabilityPair , ChannelInfo , ContactCapability , RoomInfo , CapabilityChange
- clockRate : MediaStreamHandlerCodec
- codecID : MediaStreamHandlerCodec
- componentNumber : MediaStreamHandlerTransport
- contact : MediaStreamInfo
- contactAttributeInterfaces : Connection
- contactListChannels : Connection
- contactListChannelsReady : Connection
- contactListGroupChannels : Connection
- contactManager : Connection

### - d -

- d : WeakData
- defaultValue : ParamSpec
- detail : RichPresenceAccessControl
- direction : MediaStreamInfo

### - e -

- exclusive : StatusSpec

### - f -

- FeatureCore : ConnectionManager , Connection
- FeatureRoster : Connection
- FeatureRosterGroups : Connection
- featureRosterGroupsTodo : Connection
- FeatureSelfContact : Connection
- FeatureSimplePresence : Connection
- fixedProperties : RequestableChannelClass
- flags : PropertySpec , PendingTextMessage , ParamSpec

### - g -

- genericFlags : ContactCapability

### - h -

- handle : AliasPair , CapabilityChange , ContactCapability , DBusTubeMember , ChannelInfo , RoomInfo
- handleContext : Connection
- handleContexts : Connection
- handleContextsLock : Connection
- handleType : ChannelInfo

### - i -

- identifier : MediaStreamInfo , PendingTextMessage , TubeInfo , PropertyValue
- info : RoomInfo
- initiator : TubeInfo
- IPAddress : MediaStreamHandlerTransport

### - l -

- lastActivity : LastActivityAndStatuses
- lock : Connection

### - m -

- maySetOnSelf : SimpleStatusSpec , StatusSpec
- mediaSessionType : MediaSessionHandlerInfo
- mediaType : MediaStreamHandlerCodec
- message : LocalPendingInfo
- messageType : PendingTextMessage
- MIMEType : Avatar

### - n -

- name : ParamSpec , PropertySpec , MediaStreamHandlerCodec , ConnectionManager , MediaStreamHandlerCandidate
- newFlags : PropertyFlagsChange
- newGenericFlags : CapabilityChange
- newTypeSpecificFlags : CapabilityChange
- numberOfChannels : MediaStreamHandlerCodec

### - o -

- oldGenericFlags : CapabilityChange
- oldTypeSpecificFlags : CapabilityChange

### - p -

- parameters : TubeInfo , MediaStreamHandlerCodec
- parametersQueue : ConnectionManager
- parameterTypes : StatusSpec
- parent : ConnectionManager , Connection
- password : MediaStreamHandlerTransport
- pendingSendFlags : MediaStreamInfo
- pendingStatus : Connection
- pendingStatusReason : Connection
- port : MediaStreamHandlerTransport , SocketAddressIP , SocketAddressIPv4 , SocketAddressIPv6
- preferenceValue : MediaStreamHandlerTransport
- prefixLength : SocketNetmaskIPv4 , SocketNetmaskIPv6
- profile : MediaStreamHandlerTransport
- properties : Connection , ChannelDetails
- propertyID : PropertySpec , PropertyFlagsChange
- protocol : MediaStreamHandlerTransport
- protocols : ConnectionManager

### - r -

- readinessHelper : ConnectionManager , Connection
- reason : LocalPendingInfo
- refcount : Connection

### - s -

- selfContact : Connection
- selfHandle : Connection
- sender : PendingTextMessage
- service : TubeInfo
- sessionHandler : MediaSessionHandlerInfo
- signature : ParamSpec , PropertySpec
- simplePresence : Connection
- simplePresenceStatuses : Connection
- state : TubeInfo , MediaStreamInfo
- status : Connection , SimplePresence
- statuses : LastActivityAndStatuses
- statusMessage : SimplePresence
- statusReason : Connection
- strongref : RefCounted
- subtype : MediaStreamHandlerTransport

### - t -

- text : PendingTextMessage
- toBeAdded : LocalPendingInfo
- transports : MediaStreamHandlerCandidate
- transportType : MediaStreamHandlerTransport
- type : StatusSpec , SimpleStatusSpec , TubeInfo , SimplePresence , MediaStreamInfo , RichPresenceAccessControl
- types : Connection
- typeSpecificFlags : ContactCapability , CapabilityPair

### - u -

- uniqueName : DBusTubeMember
- unixTimestamp : PendingTextMessage
- username : MediaStreamHandlerTransport

### - v -

- value : PropertyValue

### - w -

- wd : RefCounted
- weakref : WeakData
- wellKnownName : HandlerCapabilities